<#ibiztemplate>
PUBOBJ=Angular.PSAngularDEWizardCode
</#ibiztemplate>
/**
 * 向导面板部件服务对象
 * 
 * @export
 * @class ${srfclassname('${ctrl.name}')}Service
 * @extends { IBizWizardPanelService }
 */
export class ${srfclassname('${ctrl.name}')}Service extends IBizWizardPanelService {
    constructor(opt) {
        super(opt);
    }
    public regForms(): void {
	<#list ctrl.getPSDEEditForms() as form>
        this.registerForm('${form.name}', this.getViewController().getControl('${form.name}'));
	</#list>
    }

    public regActions(): void {
		<#if ctrl.getPSDEWizard()??>
		<#assign wizard=ctrl.getPSDEWizard()>
		<#if wizard.getPSDEWizardForms()??>
		<#list wizard.getPSDEWizardForms() as form>
		<#list form.getStepActions() as action>
        this.regFormActions('${ctrl.name}_form_' + '${form.getFormTag()}', '${action}');
		</#list></#list></#if></#if>
    }
}