<#ibiztemplate>
PUBOBJ=Angular.PSAngularDEFormViewCode
</#ibiztemplate>
<div nz-row [nzGutter]="24"  class="ibiz-search-form">
        <div nz-col [nzMd]="24">
            <nz-card [nzBordered]="false">
                <app-ibiz-form [fields]="${ctrl.name}.$fields">
                    <ng-template let-fields>
                    <div [ngStyle]="{'display':'none'}">
                        <#list hiddens as hidden>
                        ${hidden.code}
                        </#list>
                    </div>
                    
                    <#if ctrl.isNoTabHeader()>
                    <#list formpages as formpage>  
                        ${formpage.code}  
                    </#list>
                    <#else>
                    
                    <nz-tabset>
                    <#list formpages as formpage>
                        <nz-tab>
                            <ng-template #nzTabHeading>
                                ${formpage.obj.caption}
                            </ng-template>
                            <span>
                                ${formpage.code}
                            </span>
                        </nz-tab>
                    </#list>
                    </nz-tabset>
                    </#if>

                    <div nz-col [nzSpan]="24" style="text-align: right;">
                        <button nz-button [nzType]="'primary'"  (click)="${ctrl.name}.onSearch()">查询</button>
                        <button nz-button [nzType]="'default'"  (click)="${ctrl.name}.onReset()">重置</button>
                    </div>
                    </ng-template>
                </app-ibiz-form>
            </nz-card>
        </div>
    </div>