<#if ctrl.getPSDETree()??>
<#assign tree = ctrl.getPSDETree()>
<nz-sider [nzWidth]="<#if ctrl.getWidth() lt 240>240<#else>${ctrl.getWidth()}</#if>" class="tree-sider" [class.treeexpbar-tree-isCollapsed]="!${tree .name}.$isCollapsed"  style="height: <#if ctrl.getHeight() lt 500>500<#else>${ctrl.getHeight()}</#if>px;">
    <div class="ibiz-exptree" style="height: 40px;">
        <div class="ibiz-exptree-title" style="width: calc(100% - 40px);">
        <h3><#if ctrl.getTitle() == ''>${tree.getLogicName()}<#else>${ctrl.getTitle()}</#if></h3>
        </div>
        <div class="ibiz-exptree-collapsed" style="width: 40px;">
        <button nz-button [nzType]="'primary'" (click)="${tree .name}.$isCollapsed = !${tree .name}.$isCollapsed">
            <i class="anticon" [class.anticon-menu-unfold]="!${tree .name}.$isCollapsed" [class.anticon-menu-fold]="${tree .name}.$isCollapsed">
            </i>
        </button>
        </div>

    </div>
    <div class="tree-view-content" style="height: calc(100% - 40px);">
        <nz-tree [nzNodes]="${tree .name}.$items" [nzShowLine]="true" [nzOptions]="${tree .name}.options" (nzEvent)="${tree .name}.onEvent($event)"></nz-tree>
    </div>
</nz-sider>
</#if>