/**
 * 数据关系分页部件服务对象
 * 
 * @export
 * @class ${srfclassname('${ctrl.name}')}Service
 * @extends { IBizDRTabService }
 */
export class ${srfclassname('${ctrl.name}')}Service extends IBizDRTabService {

    /**
     * Creates an instance of ${srfclassname('${ctrl.name}')}Service.
     * 创建 ${srfclassname('${ctrl.name}')}Service 实例
     * @param {*} [opts={}] 
     * @memberof ${srfclassname('${ctrl.name}')}Service
     */
    constructor(opt: any = {}) {
        super(opt);
    }

    /**
     * 注册所有分页部件对象
     * 
     * @memberof ${srfclassname('${ctrl.name}')}Service
     */
    public regTabs(): void {
        <#list ctrl.getRootItem().getAllItems() as dritem>
        <#if (dritem_index == 0)>
        this.regTab({ index: 0, name: 'form' });
        <#else>
        this.regTab({ index: ${dritem_index?c}, name: '<#if dritem.getDRViewId()==''>${dritem.getId()?lower_case}<#else>${dritem.getDRViewId()?lower_case}</#if>' });
        </#if>
        </#list>
    }
}